org.apache.xalan.xsltc.compiler.util

## Class StringStack

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<E>
      - - java.util.Stack
        - - org.apache.xalan.xsltc.compiler.util.StringStack

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public final class StringStack
      extends java.util.Stack

  Author:
    Jacek Ambroziak, Santiago Pericas-Geertsen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringStack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `peekString()`
    `java.lang.String` | `popString()`
    `java.lang.String` | `pushString(java.lang.String val)`

    - ### Methods inherited from class java.util.Stack

      `empty, peek, pop, push, search`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### StringStack

          public StringStack()

  - ### Method Detail

    - #### peekString

          public java.lang.String peekString()

    - #### popString

          public java.lang.String popString()

    - #### pushString

          public java.lang.String pushString(java.lang.String val)

Copyright © 2023 Apache XML Project. All Rights Reserved.